# $Revision: 1.21 $, $Date: 2008/07/27 22:49:35 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Array
%define		pnam	Lookup
Summary:	Array::Lookup - lookup strings in arrays or hash tables with abbreviation
Summary(pl.UTF-8):	Array::Lookup - poszukiwanie łańcuchów w tablicach lub hashach z użyciem skrótów
Name:		perl-Array-Lookup
Version:	2.1
Release:	4
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	1b6441bcf3b1fd8af12dc9d532bc48f2
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-Array-PrintCols
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Array::Lookup performs a search through an array of strings, allowing
for abbreviation of the search key. The Lookup subroutine is
especially handy for doing keyword lookups in an array or hash table,
where the keyword may be abbreviated. Exact matches are give priority
over abbreviated matches.

%description -l pl.UTF-8
Moduł Array::Lookup przeszukuje tablicę łańcuchów, pozwalając na
skracanie szukanego klucza. Jest wygodny zwłaszcza do wyszukiwania
słów kluczowych w tablicach zwykłych lub haszujących, kiedy słowa
kluczowe mogą być skracane. Dokładne dopasowania mają większy
priorytet niż skrócone.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Array-Lookup.spec,v $
Revision 1.21  2008/07/27 22:49:35  arekm
- release 4

Revision 1.20  2007-02-13 07:16:52  glen
- tabs in preamble

Revision 1.19  2007/02/12 00:49:22  baggins
- converted to UTF-8

Revision 1.18  2004/11/03 20:27:38  paladine
- formatting

Revision 1.17  2004/05/07 01:09:15  ankry
- rel. 3

Revision 1.16  2004/05/06 17:56:59  ankry
- fixed perl-devel BR

Revision 1.15  2004/04/25 06:25:04  ankry
- cosmetics: unification

Revision 1.14  2004/04/22 20:42:10  ankry
- bconds added

Revision 1.13  2004/04/17 05:46:23  ankry
- license fixes

Revision 1.12  2004/02/18 15:29:32  qboosh
- s/no/nb/ in Summary langs

Revision 1.11  2003/08/18 08:08:27  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.10  2003/05/28 13:00:21  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/11 18:59:20  radek
- BR: perl-devel; do not BR: perl

Revision 1.7  2003/03/01 17:42:08  radek
- should be ready for perl-5.8.0; release++

Revision 1.6  2003/02/28 10:08:08  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.5  2003/02/25 00:35:48  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:26:01  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/12/03 21:34:40  ankry
- cleaning

Revision 1.2  2002/08/02 07:50:37  qboosh
- pl translation

Revision 1.1  2002/08/01 22:38:53  radek
- new, STBR
